Subject: Re: more "address space needed ... is already occupied" problems (with snapshot of 2012-02-20)
From: Tassilo Philipp <[email-masked]>
To: marco atzeri <[email-masked]>
Cc: [email-masked]
Date: Wed, 22 Feb 2012 22:32:56 -0600
List-Id: <cygwin.cygwin.com>

Doesn't do anything, and believe me, I tried that probably 50 times in all kinds of combinations...

On Thu, 23 Feb 2012 04:03:45 +0100
marco atzeri <[email-masked]> wrote:

> On Thu, Feb 23, 2012 at 2:29 AM, Tassilo Philipp  wrote:
> > Hello ml,
> >
> > I recently ran into many problems using rake to build a few of my projects, whenever rake calls itself recursively (for subprojects, etc. as in a typical make-style build tool setup). It's very random - sometimes I get a single error, sometimes nothing, but most of the time it sits there and prints the following until I kill the build:
> >
> >     17 [main] ruby 1028 child_info_fork::abort: address space needed by 'etc.so' (0x360000) is already occupied
> >      1 [main] ruby 2076 child_info_fork::abort: address space needed by 'etc.so' (0x360000) is already occupied
> >      1 [main] ruby 2128 child_info_fork::abort: address space needed by 'etc.so' (0x360000) is already occupied
> >     ....
> >
> > I checked the mailing list and found all kind of infos about similar problem, but none of the solutions worked for me. What I - unsuccessfully - tried so far:
> >
> > - using the snapshot of feb 9, 2012 (which contains a fix by Corinna, that apparently solved a very similar problem pointed out a few days ago)
> > - using latest snapshot of feb 20, 2012
> > - using cygwin 1.7.10 and 1.7.9
> > - playing around with rebaseall and peflagsall, with and without rebooting the machine
> > - using ruby 1.8.7 as it is available via setup.exe
> > - using self-built version of llatest release of ruby 1.9.3
> > - wiping cygwin off my machine and reinstalling a mint version
> > - many different combinations of the above
> >
> > So well, I guess 'm stuck. Any ideas?
> 
> rebaseall ?
> That is the standard solution for fork problem.
> http://cygwin.com/faq-nochunks.html#faq.using.fixing-fork-failures
> 
> It is likely needed any time you install a different cygwin version
> including snapshots
> or upgrade any other packages.
> 
> Regards
> Marco
> 
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> 
> 

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple